//+------------------------------------------------------------------+
//|                                               Fractal_Sounds.mq4 |
//|                                          Copyright  2007, DRKNN |
//|                                                    drknn@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, DRKNN"
#property link      "drknn@mail.ru"

// ---      ----
#property indicator_chart_window
//----   
#property indicator_buffers 2
//----   
#property indicator_color1 Gray
#property indicator_color2 Gray
//---- buffers
double ExtMapBuffer1[];//  
double ExtMapBuffer2[];//   

//---   ----------
extern bool     UseSound=false;
extern string   NameSound  = "news.wav";  //      .

// ------   -------------------
int i,SPR;
int    counted_bars=0;//  
int    limit=0;// 
double priceUp=0,priceDown=0;
string SMB;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init(){


   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,217);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);//   
   
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,218);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);//   
   SMB=Symbol();
   SPR=MarketInfo(SMB,MODE_SPREAD);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   counted_bars=IndicatorCounted();
   
   if(counted_bars==0){limit=Bars-1;}//  ,     
   if(counted_bars>0){limit=Bars-counted_bars-1;}//  .      
   //       1.
   
   for(i=limit;i>=0;i--){
    
    if(
      (High[i+5]<High[i+3] && High[i+4]<High[i+3] && High[i+2]<High[i+3] && High[i+1]<High[i+3])
      || (High[i+6]<High[i+3] && High[i+5]<=High[i+3] && High[i+4]<=High[i+3] && High[i+2]<High[i+3] && High[i+1]<High[i+3])
      || (High[i+7]<High[i+3] && High[i+6]<=High[i+3] && High[i+5]<=High[i+3] && High[i+4]<=High[i+3] && High[i+2]<High[i+3] && High[i+1]<High[i+3])
      ){
      ExtMapBuffer1[i+3]=High[i+3]+SPR*Point;
      if(priceUp!=ExtMapBuffer1[i+3]){
        priceUp=ExtMapBuffer1[i+3];
        if(i==0){PlaySound(NameSound);}
      }
    }
    if(
       (Low[i+5]>Low[i+3] && Low[i+4]>Low[i+3] && Low[i+2]>Low[i+3] && Low[i+1]>Low[i+3])
       || (Low[i+6]>Low[i+3] && Low[i+5]>=Low[i+3] && Low[i+4]>=Low[i+3] && Low[i+2]>Low[i+3] && Low[i+1]>Low[i+3])
       || (Low[i+7]>Low[i+3] && Low[i+6]>=Low[i+3] && Low[i+5]>=Low[i+3] && Low[i+4]>=Low[i+3] && Low[i+2]>Low[i+3] && Low[i+1]>Low[i+3])
      ){
      ExtMapBuffer2[i+3]=Low[i+3]-SPR*Point;
      if(priceDown!=ExtMapBuffer2[i+3]){
        priceDown=ExtMapBuffer2[i+3];
        if(i==0){PlaySound(NameSound);}
      }
    }
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+